@echo off

echo setting up java environment
call setup-java.cmd

echo building AXIS stubs for 'interop' service ...
call build-interop-stubs.cmd

IF NOT ERRORLEVEL 1 GOTO BUILD_ECHO

echo .
echo Error building 'interop' stubs. 
echo .
echo Verify AXIS jars referenced in setup-java.cmd.
echo Verify 'interop' WSDL can be fetched as specified in the batch file
echo build-interop-stubs.cmd; e.g., if the soap-gateway was mounted on a
echo sub-site called 'soap', the 'interop' WSDL can be fetched using something
echo like: http://myserver.com/soap/wsdl?service=interop&oneway=0
GOTO DONE

:BUILD_ECHO
echo building echo test class ...
call build-echo.cmd

IF NOT ERRORLEVEL 1 GOTO RUN_ECHO

echo Error building 'echo' class. Verify AXIS jars referenced in setup-java.cmd
echo Review contents of build-echo.cmd
GOTO DONE

:RUN_ECHO
echo running echo test class ...
call run-echo.cmd

IF NOT ERRORLEVEL 1 GOTO OK

echo Error running 'echo' class.  
echo  - Verify AXIS jars referenced in setup-java.cmd
echo  - Review contents of run-echo.cmd
echo  - Make sure OpenACS object permissions for method include 'invoke' rights
GOTO DONE

:OK

echo .
echo .
echo If you see "Hello from AXIS SOAP stub!" above, you successfully made a SOAP 
echo function call 'echo' using the AXIS library into your openacs server. 
echo .
echo .

:DONE


